import { MutableRefObject } from 'react';
/**
 * 从给定的ele元素开始，遍历所有父元素直到document的根元素(document.body)。对于每个父节点，检查它是否是一个可滚动的节点。
 * @param target 目标元素
 * @returns 可滚动的元素
 */
declare const useScrollableParent: (target: MutableRefObject<HTMLElement | null> | (() => HTMLElement)) => null;
export default useScrollableParent;
