import { MutableRefObject } from 'react';
/**
 * 判断输入组件是否聚焦
 * @author 李岚清 <https://github.com/llq0802>
 *@param {string} target - 元素
 * @param {boolean} defaultState - 初始值
 * @returns 是否聚焦的状态
 */
declare const useFocus: (target: MutableRefObject<HTMLElement | null> | (() => HTMLElement), defaultState?: boolean) => boolean;
export default useFocus;
