import { ReactNode } from 'react';
/**
 * 允许在父组件之外呈现子组件。
 * @param {HTMLElement} el 要挂载到哪个元素下面 默认body
 */
declare const usePortal: (el?: null | HTMLElement) => ({ children }: {
    children: any;
}) => any;
export default usePortal;
